Name:			movit
Version:		1.2.0
Release:		1%{?dist}
Summary:		A library for high-quality, high-performance video filters
Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://git.sesse.net/?p=movit;a=summary
# source tarball from git tag 1.1.3 commit b757b4f1ca57c6dcabfe4ad696a2b887544d1a71
# http://git.sesse.net/?p=movit;a=snapshot;h=b757b4f1ca57c6dcabfe4ad696a2b887544d1a71;sf=tgz
Source0:		%{name}-%{version}.tar.gz
Patch1:			movit-1.2.0-no-gtest.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	eigen3-devel, fftw-devel, libepoxy-devel
# BuildRequires:	gtest-devel
BuildRequires:	SDL-devel, SDL_image-devel, libpng-devel
# Requires:		

%define debug_package %{nil}

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called "modern" usually isn't, and it's really not a toolkit.

Movit aims to be a _high-quality_, _high-performance_, _open-source_
library for video filters.

%package devel
Summary:	Development toolkit for %{name}
License:	GPLv2+
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig(eigen3), pkgconfig(epoxy), pkgconfig(fftw3)
AutoReqProv:	no
%description devel
This package contains library and header files needed to build applications
using movit.


%prep
%setup -q
%patch1 -p1 -b .no-gtest


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NEWS README
%{_libdir}/*.so.*
%{_datadir}/movit/

%files devel
%defattr(-,root,root,-)
%{_includedir}/movit/
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun Nov 22 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.2.0-1
- update to version 1.2.0

* Sat Sep  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.1.3-3
- attempt to fix apparently not providing libmovit.so.2()

* Sat Sep  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.1.3-2
- Prevent creation of debuginfo package

* Sat Sep  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.1.3-1
- initial build version 1.1.3 for GhiaPet/Fedora 21
